Bug Hunting Session
Bug 94267 - FILESAVE XLSX Chart label rotation reset when saving as xlsx
Summary: FILESAVE XLSX Chart label rotation reset when saving as xlsx
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks:
 
Reported: 2015-09-16 10:32 UTC by robertw
Modified: 2018-06-13 18:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Word docx showing graphs and data (35.75 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-09-17 14:30 UTC, robertw
Details
xlsx data in ods format (24.73 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-09-18 13:50 UTC, robertw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description robertw 2015-09-16 10:32:31 UTC
Win 7. X-axis on graphs saved in Microsoft Excel 2007-13 xslx format. Set text to be at 90 degrees to axis and at fixed intervals. Save file but when re-opened text now parallel to axis and not at previously set interval. Repeats even after being corrected.
Comment 1 raal 2015-09-16 18:11:45 UTC
Hello,

Thank you for filing the bug. Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 robertw 2015-09-17 14:30:27 UTC
Created attachment 118796 [details]
Word docx showing graphs and data

Have provided data and before / after graphs together with a suggestion as to what might be happening.
Comment 3 raal 2015-09-18 13:07:07 UTC
Please attach .ods spreadsheet for easy reproduce the problem, thank you.
Comment 4 robertw 2015-09-18 13:50:05 UTC
Created attachment 118824 [details]
xlsx data in ods format

I have closed and opened this ods file several times and it remains correct. Maybe it is the conversion to Microsoft Excel xlsx?
Comment 5 Xisco Faulí 2016-09-11 13:44:36 UTC Comment hidden (obsolete)
Comment 6 robertw 2016-09-11 14:39:52 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2016-10-03 17:57:45 UTC
(In reply to robertw from comment #4)
> Created attachment 118824 [details]
> xlsx data in ods format
> 
> I have closed and opened this ods file several times and it remains correct.
> Maybe it is the conversion to Microsoft Excel xlsx?

Repro the rotation of X-labels when saved as xlsx.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: dc41255dc725dfa912326cc5d9e420bd66471c64
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on October 1st 2016

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 8 QA Administrators 2017-10-23 13:59:01 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2018-06-13 18:22:40 UTC
This is now fixed, but I created a new report for the width compression issue we can already see in the images in attachment 118796 [details]: bug 118150

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 98db90e2ccd7cefaa5094c2d1d2af8cb10b4a867
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 13th 2018